apply plugin: 'com.android.library'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
apply plugin: 'org.jetbrains.kotlin.android'

kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
        // 是否生成路由文档，"enable"：生成文档，其他字符串不生成路由文档
        arg("AROUTER_GENERATE_DOC", "enable")
    }
}
android {
    compileSdkVersion 30
    defaultConfig {
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

//        kapt {
//            arguments {
//                //根据模块名来命名路由根节点
//                arg("AROUTER_MODULE_NAME", project.getName())
//                //生成Json文件
//                arg("AROUTER_GENERATE_DOC", "enable")
//            }
//        }

    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }


    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }

    packagingOptions {
        resources.excludes.add("META-INF/*")
    }

    buildFeatures{
        viewBinding = true
    }
}

dependencies {
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'

    implementation project(':BaseLibrary')
    //ARouter
    kapt "com.alibaba:arouter-compiler:$rootProject.ext.android.arouter_api_version"
}